const noAttribute = value => ((value??false)===false);

function createElementHelper(html) {
	const attributes = object =>
		Object.entries(object)
			.map(
				([key, value])=>
					noAttribute(value) ? '' : (
						value === true ? html` ${key}` : html` ${key}="${value}"`
					)
			);

	const element = (name, attrs, ...children) => html`<${name}${attributes(attrs)}>${children}</${name}>`;

	return element;
}

export default createElementHelper;
